> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Wireless Detail Records (WDRs) Report

> Asynchronously create a report containing Wireless Detail Records (WDRs) for the SIM cards that consumed wireless data in the given time period.




## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-monitoring.yml post /wireless/detail/records/reports
openapi: 3.1.0
info:
  title: SIM Cards Monitoring API
  version: 2.0.0
  description: >-
    SIM card monitoring including wireless connectivity logs, detail records
    reports, and OTA updates.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /wireless/detail/records/reports:
    post:
      tags:
        - Reporting
      summary: Create a Wireless Detail Records (WDRs) Report
      description: >
        Asynchronously create a report containing Wireless Detail Records (WDRs)
        for the SIM cards that consumed wireless data in the given time period.
      operationId: CreateWdrReport
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WdrReportRequest'
      responses:
        '201':
          $ref: '#/components/responses/CreateWdrReportResponse'
        '422':
          $ref: '#/components/responses/wireless_UnprocessableEntity'
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const detailRecordsReport = await
            client.wireless.detailRecordsReports.create();


            console.log(detailRecordsReport.data);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            detail_records_report =
            client.wireless.detail_records_reports.create()

            print(detail_records_report.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tdetailRecordsReport, err := client.Wireless.DetailRecordsReports.New(context.TODO(), telnyx.WirelessDetailRecordsReportNewParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", detailRecordsReport.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.wireless.detailrecordsreports.DetailRecordsReportCreateParams;

            import
            com.telnyx.sdk.models.wireless.detailrecordsreports.DetailRecordsReportCreateResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    DetailRecordsReportCreateResponse detailRecordsReport = client.wireless().detailRecordsReports().create();
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            detail_records_report =
            telnyx.wireless.detail_records_reports.create


            puts(detail_records_report)
        - lang: CLI
          source: |-
            telnyx wireless:detail-records-reports create \
              --api-key 'My API Key'
components:
  schemas:
    WdrReportRequest:
      type: object
      properties:
        start_time:
          description: ISO 8601 formatted date-time indicating the start time.
          type: string
          example: '2018-02-02T22:25:27.521Z'
        end_time:
          description: ISO 8601 formatted date-time indicating the end time.
          type: string
          example: '2018-02-02T22:25:27.521Z'
      example:
        start_time: '2018-02-02T22:25:27.521Z'
        end_time: '2018-02-02T22:25:27.521Z'
    WdrReport:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          readOnly: true
          example: detail_records_report
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        start_time:
          description: ISO 8601 formatted date-time indicating the start time.
          type: string
          example: '2018-02-02T22:25:27.521Z'
        end_time:
          description: ISO 8601 formatted date-time indicating the end time.
          type: string
          example: '2018-02-02T22:25:27.521Z'
        status:
          description: Indicates the status of the report, which is updated asynchronously.
          type: string
          enum:
            - pending
            - complete
            - failed
            - deleted
          example: pending
        report_url:
          description: >-
            The URL where the report content, when generated, will be published
            to.
          type: string
          example: http://example.com
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  responses:
    CreateWdrReportResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/WdrReport'
    wireless_UnprocessableEntity:
      description: Unprocessable entity. Check the 'detail' field in response for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````